Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-54498

Version Creation now requires version code which breaks binary compatibility

    Details

    • Similar Issues:

      Description

      PR#52 deprecated the DataBoundContructor and introduced a new one that specifies a versionCode to be supplied. Unfortunately this breaks pipelines for some uses as the old deprecated constructor is no longer DataBound anymore.

      See: https://github.com/jenkinsci/hockeyapp-plugin/pull/52#issuecomment-436344872

        Attachments

          Activity

          Hide
          mezpahlan Mez Pahlan added a comment -
          Show
          mezpahlan Mez Pahlan added a comment - Some good discussion on the plugin documentation.  https://jenkins.io/doc/developer/plugin-development/pipeline-integration/#constructor-vs-setters

            People

            • Assignee:
              mezpahlan Mez Pahlan
              Reporter:
              mezpahlan Mez Pahlan
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: